summaryrefslogtreecommitdiff
path: root/tests/missing6.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/missing6.test')
-rwxr-xr-xtests/missing6.test51
1 files changed, 51 insertions, 0 deletions
diff --git a/tests/missing6.test b/tests/missing6.test
new file mode 100755
index 000000000..56c604723
--- /dev/null
+++ b/tests/missing6.test
@@ -0,0 +1,51 @@
+#! /bin/sh
+# Copyright (C) 2008 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Make sure autoconf version checks in aclocal.m4 are robust.
+
+. ./defs || exit 1
+
+set -e
+
+{
+ echo 'm4_define([AC_AUTOCONF_VERSION], [9999a])'
+ echo 'm4_define([b], [oops])'
+ cat configure.in
+ echo AC_OUTPUT
+} >configure.ac
+rm configure.in
+
+touch Makefile.am
+
+$ACLOCAL
+$AUTOCONF 2>stderr
+grep 'You have another version of autoconf' stderr
+grep 'aclocal.m4:.*this file was generated for' stderr
+$AUTOMAKE
+./configure
+$MAKE
+
+sed 's/\[b\]/[a]/' < configure.ac > configure.tmp
+cmp configure.ac configure.tmp && exit 1
+
+mv configure.tmp configure.ac
+
+$MAKE 2>stderr
+cat stderr
+grep 'You have another version of autoconf' stderr
+grep 'aclocal.m4:.*this file was generated for autoconf 9999a' stderr
+
+: